Skip to main content
POST
Add Items to Cart (V2)

Authorizations

Authorization
string
header
required

You can retrieve your token by visiting your dashboard and clicking Generate API token.

Query Parameters

dry
integer

Dry run mode (1 = preview only).

Example:

0

sessionId
string

Guest session ID.

Example:

"sess_abc123"

Body

application/json
tdmsProductId
string
required

The TDMS product ID.

Example:

"PROD123"

startDate
string
required

Start date (d-M-Y format).

Example:

"15-Jan-2024"

days
integer
required

Number of days.

Example:

3

selectedAvailableIndices
string[]
required

Selected availability indices.

Example:
productPricesDetails
string[]
required

Price details with quantities.

Example:

Response

200 - text/plain

The response is of type string.

Example:

"{\"status\": \"success\", \"message\": \"Items added to cart\", \"data\": {...}}"